List nodes
import requests
url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes \
--header 'Authorization: Bearer <token>'{
"nodes": [
{
"created_at": "<string>",
"id": "<string>",
"instance_type": "<string>",
"is_deleted": true,
"kind": "<string>",
"location": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"kubernetes_ready": "ready",
"kubernetes_ready_since": "2023-11-07T05:31:56Z",
"node_group": "<string>",
"private_ip": "<string>",
"provisioning": {
"attempt": 123,
"budget_seconds": 123,
"elapsed_seconds": 123,
"phase": "<string>",
"host_key": "<string>",
"last_cause": "<string>",
"server_banner": "<string>",
"updated_at": "<string>"
},
"public_ip": "<string>",
"role": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DigitalOcean Clusters
List nodes
Lists the cluster’s machines with each one’s role, node group, instance type, location, state, private and public IPs, the kubelet version it reports and, where recorded, the provider’s own status.
GET
/
api
/
v1
/
clusters
/
digitalocean
/
{cluster_id}
/
nodes
List nodes
import requests
url = "https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/digitalocean/{cluster_id}/nodes \
--header 'Authorization: Bearer <token>'{
"nodes": [
{
"created_at": "<string>",
"id": "<string>",
"instance_type": "<string>",
"is_deleted": true,
"kind": "<string>",
"location": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"kubernetes_ready": "ready",
"kubernetes_ready_since": "2023-11-07T05:31:56Z",
"node_group": "<string>",
"private_ip": "<string>",
"provisioning": {
"attempt": 123,
"budget_seconds": 123,
"elapsed_seconds": 123,
"phase": "<string>",
"host_key": "<string>",
"last_cause": "<string>",
"server_banner": "<string>",
"updated_at": "<string>"
},
"public_ip": "<string>",
"role": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}